Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request POST \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"identifier": "93874a87"
}This endpoint requires Editor permissions or higher on the specified document.
Creates a draft of the specified document. Drafts are isolated copies of a document - including its workbook and dashboard - that can be modified without impacting the published version.
To create a draft on a branch, include a branchId in the request body. Each branch can have one draft per document.
If a draft already exists for the document (or branch, if specified), the existing draft is returned instead of creating a new one.
curl --request POST \
--url https://{instance}.omniapp.co/api/v1/documents/{documentId}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"identifier": "93874a87"
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The ID of the document to create a draft for. To retrieve the ID, navigate to File > Document settings in the document and then click Settings. The Identifier field contains the document ID.
The UUID of the branch to create the draft on. Required when creating a draft on a branch. To retrieve branch IDs, use the List models endpoint with modelKind=BRANCH.
Draft created successfully (or existing draft returned)
Identifier of the new draft. If a draft already exists for the document or branch specified, this will be the identifier of the existing draft.
"93874a87"
Was this page helpful?